package com.hzs.system.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.common.domain.system.base.BdNoticeDetail;
import com.hzs.system.base.mapper.BdNoticeDetailMapper;
import com.hzs.system.base.service.IBdNoticeDetailService;
import org.springframework.stereotype.Service;

/**
 * 公告详情表 服务实现类
 */
@Service
public class BdNoticeDetailServiceImpl extends ServiceImpl<BdNoticeDetailMapper, BdNoticeDetail> implements IBdNoticeDetailService {

    @Override
    public BdNoticeDetail selectNoticeDetailByPkNoticeId(Long pkId, Long pkMember) {
        LambdaQueryWrapper<BdNoticeDetail> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(BdNoticeDetail::getPkNotice, pkId);
        queryWrapper.eq(BdNoticeDetail::getPkMember, pkMember);
        return baseMapper.selectOne(queryWrapper);

    }
}
